6.0.0-git
2019-04-21

[#6361] Whole day events: wrong background color on even coloums (days)
Summary Whole day events: wrong background color on even coloums (days)
Queue Kronolith
Queue Version 2.2-RC2
Type Bug
State Resolved
Priority 2. Medium
Owners chuck (at) horde (dot) org
Requester hordelist (at) quantentunnel (dot) de
Created 2008-03-03 (4066 days ago)
Due
Updated 2008-03-07 (4062 days ago)
Assigned 2008-03-06 (4063 days ago)
Resolved 2008-03-06 (4063 days ago)
Milestone 2.2
Patch No

History
2008-03-07 16:27:50 Chuck Hagenbuch Comment #7 Reply to this comment
Then you didn't track all of the commits.
2008-03-07 15:08:34 hordelist (at) quantentunnel (dot) de Comment #6 Reply to this comment
Whole day events are limited to the column of the calender they belong 
to, same background (light grey) on all days - fine.



BUT -sorry- it's the wrong background color for whole day events - 
should be the darker grey like in Kronolith 2.1.6



Now the background for the row with whole day events and for the next 
row (in my screenshot the 8 o'clock row) have the same background 
color which leads to confusion.
2008-03-06 20:53:14 Chuck Hagenbuch Comment #5
State ⇒ Resolved
Reply to this comment
This was actually a bug in the table striping javascript - we were 
improperly striping subtables. Now it's really fixed, along with a few 
other cleanups.
2008-03-06 10:38:37 Jan Schneider Milestone ⇒ 2.2
 
2008-03-06 10:06:17 Jan Schneider State ⇒ Assigned
 
2008-03-06 08:39:50 hordelist (at) quantentunnel (dot) de Comment #4 Reply to this comment
Tested it, and background is ok now.



With this changes now all whole day events from all calendars will 
span over the with of the whole day, not limited to the with of the 
calendar anymore they belong to.



It's not possible to distinguish to which calendar a whole day event 
belongs if you have more than one calendar visible. You can only see 
it, if you edit an event (no info about the calendar in the event 
details).



Not sure if this is the desired behavior and i should like it. While 
it flattens most events i have here to one line, i guess it will cause 
more confusion and trouble to others.
2008-03-06 04:53:16 Chuck Hagenbuch Comment #3
Assigned to Chuck Hagenbuch
Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
Reply to this comment
Fixed in CVS, will be in the next Kronolith RC. Thanks!
2008-03-03 10:56:29 Jan Schneider Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Priority ⇒ 2. Medium
 
2008-03-03 09:29:44 hordelist (at) quantentunnel (dot) de Comment #2 Reply to this comment
I forgot to mention, that the coloring is done by some javascript in 
http://cvs.horde.org/kronolith/js/stripe.js
2008-03-03 09:25:29 hordelist (at) quantentunnel (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Whole day events: wrong background color on even coloums (days)
Queue ⇒ Kronolith
Reply to this comment
Kronolith H3 2.1.6 was using a dark grey as background for whole day 
events, the next line in a light grey, reversing the colors for the 
following row.



In Kronolith H3 (2.2-RC2) the coloum for the description, tuesday, 
thursday and saturday have the wrong color (light grey instead of dark 
grey).



I uploaded an example picture 
http://www.hostpix.de/file.php?dat=iKwmJsrv.png where all calendars 
are deactivated.



I also noticed that activating one calendar fix the problem, but 
changing the week make it reoccour. Coldn't find a specific pattern in 
this, since activating a second calendar fix it but messing up in the 
next week. Also it's not a special calendar causing it (maybe a 
combination of calendar / week?).

Saved Queries